Revoke Account Access
Bank Feed
Revoke Account Access
Revoke account access via the Atoa Bank Feed API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
POST
Revoke Account Access
Revoke bank account access for a specific account, multiple accounts, or using an account authorization ID.
Note: Only one parameter can be provided: accountId, accountIds, or accountAuthId. Multiple parameters are not allowed.
Authorization
Bearer<token>
Request Body Schema
string
ID of the user’s bank account. This can be obtained from the redirect URL
after account linking or by using the Fetch All Accounts API
Reference
endpoint.Refer:- Accounts
string
Account authorization ID to revoke access for.
string
Comma-separated list of account IDs to revoke access for (e.g.,
“id1,id2,id3”). This can be obtained from the redirect URL
after account linking or by using the Fetch All Accounts API
Reference
endpoint.Refer:- Accounts
Consent Lifecycle & Expiry
- All consents are valid for 90 days.
- If auto-renew is enabled, we will attempt background renewal before expiry.
- Once expired, any call to transactions or account endpoints will return: 404 Consent not found